
Foreman - Bug #27346

Missing audit records for Host Create

07/19/2019 10:26 AM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link: 1730360 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6969

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1730360

Description of problem:

The only audit record that appears is of action: Add

The test fails (at least) since 6.6.0-2

Version-Release number of selected component (if applicable):

6.6.0-2

Steps to Reproduce:

1. create a host

2. check audits

3. observe that the audit record for a host type has action "Added" and only 1 summary field

Expected results:

action type: "create", containing table of attributes and values

Related issues:

Related to Foreman - Bug #27830: Unable to load audits page - undefined metho... Closed

Associated revisions

Revision 5b47a90d - 09/04/2019 02:42 PM - Kavita Gaikwad

Fixes #27346 - show audit records for host create (#6969)

History

#1 - 07/19/2019 10:28 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#2 - 08/09/2019 10:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6969 added

#3 - 09/04/2019 02:42 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 09/04/2019 03:01 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset 5b47a90dd07a9bdd394ec6893f52e5f3c89004d2.

#5 - 09/11/2019 11:00 AM - Kavita Gaikwad
https://bugzilla.redhat.com/show_bug.cgi?id=1730360
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5b47a90dd07a9bdd394ec6893f52e5f3c89004d2


- Related to Bug #27829: [Audit] ActionView::Template::Error: undefined method `abstract_class?' for Object:Class added

#6 - 09/11/2019 11:17 AM - Kavita Gaikwad

- Related to deleted (Bug #27829: [Audit] ActionView::Template::Error: undefined method `abstract_class?' for Object:Class)

#7 - 09/11/2019 11:19 AM - Kavita Gaikwad

- Related to Bug #27830: Unable to load audits page - undefined method `abstract_class?' for Object:Class added
